import { View } from '../ui/core/view';
import { NavigationEntry } from '../ui/frame/frame-common';
import type { AndroidApplication as IAndroidApplication } from './application';
import { ApplicationCommon } from './application-common';
export declare class AndroidApplication extends ApplicationCommon implements IAndroidApplication {
    static readonly activityCreatedEvent = "activityCreated";
    static readonly activityDestroyedEvent = "activityDestroyed";
    static readonly activityStartedEvent = "activityStarted";
    static readonly activityPausedEvent = "activityPaused";
    static readonly activityResumedEvent = "activityResumed";
    static readonly activityStoppedEvent = "activityStopped";
    static readonly saveActivityStateEvent = "saveActivityState";
    static readonly activityResultEvent = "activityResult";
    static readonly activityBackPressedEvent = "activityBackPressed";
    static readonly activityNewIntentEvent = "activityNewIntent";
    static readonly activityRequestPermissionsEvent = "activityRequestPermissions";
    readonly activityCreatedEvent = "activityCreated";
    readonly activityDestroyedEvent = "activityDestroyed";
    readonly activityStartedEvent = "activityStarted";
    readonly activityPausedEvent = "activityPaused";
    readonly activityResumedEvent = "activityResumed";
    readonly activityStoppedEvent = "activityStopped";
    readonly saveActivityStateEvent = "saveActivityState";
    readonly activityResultEvent = "activityResult";
    readonly activityBackPressedEvent = "activityBackPressed";
    readonly activityNewIntentEvent = "activityNewIntent";
    readonly activityRequestPermissionsEvent = "activityRequestPermissions";
    private _nativeApp;
    private _context;
    private _packageName;
    private lifecycleCallbacks;
    private componentCallbacks;
    init(nativeApp: android.app.Application): void;
    private _registeredReceivers;
    private _pendingReceiverRegistrations;
    private _registerPendingReceivers;
    onConfigurationChanged(configuration: android.content.res.Configuration): void;
    getNativeApplication(): globalAndroid.app.Application;
    get nativeApp(): android.app.Application;
    run(entry?: string | NavigationEntry): void;
    private _startActivity;
    private _foregroundActivity;
    get startActivity(): androidx.appcompat.app.AppCompatActivity;
    get foregroundActivity(): androidx.appcompat.app.AppCompatActivity;
    setStartActivity(value: androidx.appcompat.app.AppCompatActivity): void;
    setForegroundActivity(value: androidx.appcompat.app.AppCompatActivity): void;
    get paused(): boolean;
    get backgrounded(): boolean;
    get context(): globalAndroid.content.Context;
    get packageName(): string;
    registerBroadcastReceiver(intentFilter: string, onReceiveCallback: (context: android.content.Context, intent: android.content.Intent) => void): void;
    unregisterBroadcastReceiver(intentFilter: string): void;
    getRegisteredBroadcastReceiver(intentFilter: string): android.content.BroadcastReceiver | undefined;
    getRootView(): View;
    resetRootView(entry?: NavigationEntry | string): void;
    getSystemAppearance(): 'light' | 'dark';
    private getSystemAppearanceValue;
    getOrientation(): "portrait" | "landscape" | "unknown";
    private getOrientationValue;
    get android(): this;
}
export * from './application-common';
export declare const Application: AndroidApplication;
export declare const iOSApplication: any;
